#debuginfo not supported with Go
%global debug_package %{nil}

# modifying the Go binaries breaks the DWARF debugging
%global __os_install_post %{_rpmconfigdir}/brp-compress

%global golang_version  1.6.3

# https://github.com/feedhenry/fh-system-dump-tool
%global import_path     github.com/feedhenry/fh-system-dump-tool

%global package_name    fh-system-dump-tool
%global product_name    Red Hat Mobile Application Platform

Name:                   fh-system-dump-tool
Version:                1.0.0
Release:                5%{?dist}
Summary:                System dump tool for the Red Hat Mobile Application Platform On-Premise product.
License:                ASL 2.0
URL:                    https://%{import_path}
Source0:                %{package_name}-%{version}.tar.gz
BuildArch:              x86_64
BuildRequires:          golang >= %{golang_version}
Requires:               gzip
Requires:               tar
Requires:               atomic-openshift

%description
%{summary}

%prep
%setup -q -n %{package_name}-%{version}

%build

# Remove all the hidden files
##find . -type f -name ".*" -exec rm {} +

# Hack because golang loves to just bundle everything
##mkdir -p _build/src/%{import_path}
##find . -mindepth 1 -path ./_build -prune -o -print -exec cp -ra {} _build/src/%{import_path}/{} \;

mkdir _build
pushd _build
    mkdir -p src/github.com/feedhenry
    ln -s $(dirs +1 -l) src/%{import_path}
popd

# Build fh-system-dump-tool
export GOPATH=$(pwd)/_build:%{buildroot}%{gopath}:%{gopath}
echo "+++ BUILDING fh-system-dump-tool..."

pushd $(pwd)/_build/src/%{import_path}
make FH_SYSTEM_DUMP_TOOL_VERSION=v%{version}
popd

%install

install -d %{buildroot}%{_bindir}

# Install linux components
echo "+++ INSTALLING fh-system-dump-tool"
install -p -m 755 _build/bin/fh-system-dump-tool %{buildroot}%{_bindir}/fh-system-dump-tool

%check
export GOPATH=$(pwd)/_build:%{buildroot}%{gopath}:%{gopath}
go test %{import_path}

%files
%doc README.md
%license LICENSE
%{_bindir}/fh-system-dump-tool

%changelog
* Mon Aug 14 2017 Jozef Mrazek <jmrazek@redhat.com> - 1.0.0-5 
- Update to upstream version ff2baed for RHMAP 4.5.0.CR1
* Wed Sep 21 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-4
- Spec file refactoring
* Wed Sep 21 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-3
- Revert to old symlink, using the new namespace feedhenry
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-2
- Symlink recursively
* Tue Sep 20 2016 Andrea Vibelli <avibelli@redhat.com> - 1.0.0-1
- Updated to upstream 1.0.0
* Fri Sep 16 2016 Andrea Vibelli <avibelli@redhat.com> - 0.4.0-3
- Added atomic-openshift requirement
* Fri Sep 9 2016 Andrea Vibelli <avibelli@redhat.com> - 0.4.0-2
- Added tar and gzip requirements
* Fri Sep 9 2016 Andrea Vibelli <avibelli@redhat.com> - 0.4.0-1
- Update from upstream tag 0.4.0
* Fri Sep 9 2016 Andrea Vibelli <avibelli@redhat.com> - 0.4.0-b46da2c4c87d116f984f92716e7f6ee3c87f083e
- Switch to using make for the build
* Thu Sep 8 2016 Andrea Vibelli <avibelli@redhat.com> - 0.3.0-b46da2c4c87d116f984f92716e7f6ee3c87f083e
- Update from upstream (sha:b46da2c4c87d116f984f92716e7f6ee3c87f083e); added more parameters to build
* Fri Sep 2 2016 Andrea Vibelli <avibelli@redhat.com> - 0.2.1-b14084e1076eecf1006729e3af4262ce092f3645
- Fix version
* Fri Sep 2 2016 Andrea Vibelli <avibelli@redhat.com> - 0.2.1-b14084e1076eecf1006729e3af4262ce092f3645
- Update from upstream (sha:b14084e1076eecf1006729e3af4262ce092f3645)
* Fri Sep 2 2016 Andrea Vibelli <avibelli@redhat.com> - 0.2.0-f1060ed0123d67d0325ba01e8bfb2ef78ebd8cc3
- Rename of the package
* Thu Sep 1 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.1-f1060ed0123d67d0325ba01e8bfb2ef78ebd8cc3
- Update from upstream (sha:f1060ed0123d67d0325ba01e8bfb2ef78ebd8cc3)
* Fri Aug 12 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-ab1274f54d88f2216de69ea547d65a1fc2ce7c92
- Update from upstream (sha:ab1274f54d88f2216de69ea547d65a1fc2ce7c92)
* Mon Aug 8 2016 Andrea Vibelli <avibelli@redhat.com> - 0.1.0-1
- First package build of RHMAP System Dump Tool
